Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 159463 - support --gpgcheck=0 option with commandline
support --gpgcheck=0 option with commandline
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-02 15:53 EDT by Satish Balay
Modified: 2014-01-21 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-05 03:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2005-06-02 15:53:57 EDT
Description of problem:

support --gpgcheck=0 option with commandline

Version-Release number of selected component (if applicable):
yum-2.3.2-7

[I'd actually like it to work with yum-2.2 - aka fc3 but..]

Additional info:

Its painful to always edit config files to set this flag. Is required esp if one
wants to do:

yum --gpgcheck=0 localinstall foobar.rpm


One potential issue is - here I might just want gpgcheck to be disabled just for
this one rpm - but not any dependent packages that might be needed [from other
repos]

So - perhaps we need 2 options here.

 --gpgcheck
 --gpgchecklocal
Comment 1 Seth Vidal 2005-06-03 03:34:23 EDT
No. I think that this will be a confusing  set of command line arguments for
users. If you want to have this option available for yourself I'd encourage you
to look at the plugin infrastructure available in yum 2.3.X


if you want to enable/disable gpgchecking for local packages set gpgcheck=0/1 in
your yum.conf under [main]

if you want to enable/disable gpgchecking for packages in repositories set
gpgcheck=0/1 in the repository definition either in your yum.conf or in the
.repo file.
Comment 2 Satish Balay 2005-06-03 12:06:44 EDT
setting gpgcheck options for repositories is fine. It works [and I use it]

But it does not work for 'localinstall' [without editing config files]. I
believe there is a good reason for the 'localinstall' option - and I'm hoping
you can support toggling gpgcheck for this usage.

If one were to edit config files - one could also use local repositories - and
not use the  'localinstall' option.
Comment 3 Paul Howarth 2005-07-01 07:54:20 EDT
This would be particularly handy for, say, the JPackage java RPMs that users
have to build for themselves. I'm currently putting together a detailed HOWTO
for this, and it would be much nicer to be able to say:

# yum --gpgcheck=0 localinstall java*.rpm

than to tell them to edit their yum.conf (which, properly, defaults to
gpgcheck=1), do the localinstall and then edit the yum.conf back again.
Comment 4 Rahul Sundaram 2005-07-03 15:48:18 EDT
Seth,

I think this command does have its use cases on rare occasions. It probably
should be added with a strong warning to import the gpg key instead if applicable
Comment 5 Seth Vidal 2005-08-05 03:56:55 EDT
this can now be implemented by a plugin. So I'm going to close this - but there
is potential for this to be implemented in a later release, maybe.

Note You need to log in before you can comment on or make changes to this bug.